LuceneTestSerializer (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.lucene.test

## Class LuceneTestSerializer

- java.lang.Object
- - org.apache.geode.cache.lucene.test.LuceneTestSerializer

- All Implemented Interfaces:
    Declarable, LuceneSerializer
  Direct Known Subclasses:
    LuceneDeclarable2TestSerializer

      public class LuceneTestSerializer
      extends java.lang.Object
      implements LuceneSerializer

  A Test LuceneSerializer that takes properties during construction (init)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Properties` | `props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneTestSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.util.Properties` | `getProperties()`
    `int` | `hashCode()`
    `void` | `init(java.util.Properties props)` Initializes a user-defined object using the given properties.
    `java.util.Collection<Document>` | `toDocuments(LuceneIndex index, java.lang.Object value)` Add the fields of the given value to a set of documents Added fields should be marked with `Field.Store.NO`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

- - ### Field Detail

    - #### props

          protected final java.util.Properties props

  - ### Constructor Detail

    - #### LuceneTestSerializer

          public LuceneTestSerializer()

  - ### Method Detail

    - #### init

          public void init(java.util.Properties props)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `props` - Contains the parameters declared in the declarative xml file.

    - #### getProperties

          public java.util.Properties getProperties()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toDocuments

          public java.util.Collection<Document> toDocuments(LuceneIndex index,
                                                            java.lang.Object value)

      Description copied from interface: `LuceneSerializer`
      Add the fields of the given value to a set of documents Added fields should be marked with `Field.Store.NO`. These fields are only used for searches. When doing a query, geode will return the value from the region, not any fields that are stored on the returned Documents.
      Specified by:
        `toDocuments` in interface `LuceneSerializer`
      Parameters:
        `index` - lucene index
        `value` - user object to be serialized into index